Run of fresh-releases for ruby-thwait

Try this locally (using silver-platter):

debian-svp new-upstream ruby-thwait 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
Running ['new-upstream']
Opening branch at https://salsa.debian.org/ruby-team/ruby-thwait.git/,branch=master
Using cached branch https://janitor.debian.net/git/ruby-thwait/,branch=master
Total 68 (delta 0), reused 0 (delta 0), pack-reused 68

Total 7 (delta 0), reused 0 (delta 0), pack-reused 7

Total 3 (delta 0), reused 0 (delta 0), pack-reused 3
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 268, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 125, in readline
    s = self.filesock.readline(size)
  File "/usr/lib/python3.9/socket.py", line 704, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3.9/ssl.py", line 1241, in recv_into
    return self.read(nbytes, buffer)
  File "/usr/lib/python3.9/ssl.py", line 1099, in read
    return self._sslobj.read(len, buffer)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 210, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 741, in process_package
    with Workspace(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 134, in __enter__
    self.local_tree.pull(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/workingtree.py", line 1292, in pull
    count = self.branch.pull(source, overwrite, stop_revision,
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 1043, in pull
    return InterBranch.get(source, self).pull(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1313, in pull
    refs, stop_revision = self.update_refs(stop_revision)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1285, in update_refs
    result = interrepo.fetch(branches=[self.source.ref], include_tags=fetch_tags)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 694, in fetch
    self.fetch_objects(wants_recorder, mapping, limit=limit, lossy=lossy)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 778, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 458, in fetch_pack
    result = self._client.fetch_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2037, in fetch_pack
    refs, server_capabilities, url = self._discover_references(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1903, in _discover_references
    resp, read = self._http_request(url, headers, allow_compression=True)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 649, in retry_or_raise
    raise errors.ConnectionReset(
breezy.errors.ConnectionReset: Connection closed: Connection lost while sending request. 

Full worker log